<template>
    <div>
      <h1> LeaderBoard</h1>
      <button @click="goGame">Return to game</button>
    <div class="container">
        <table class="score">
        <thead>
            <th>Name</th>
            <th>Score</th>
            <th>Time</th>
        </thead> 
            <tbody>
        <tr v-for="(player,index) in players"
        :key="index" :player="player" :index="index">
            
            <td v-if="player.nickname.length <20">{{player.nickname}}</td>
            <td v-else> ...</td>
            <td v-if="player.score.length <20">{{player.score}}</td>
            <td v-else> ...</td>
            <td v-if="player.time.length <20">{{player.time}}</td>
            <td v-else> ... </td>
        </tr>
        </tbody>
        </table>
        </div>
    </div>
</template>

<script>

import http from "@/api/http";
export default {
  name: "LeaderBoard",
  
  methods: {
    loadScore() {
      http
        .get("json")
        .then(response => {
          console.log(response.data);
          this.players = response.data;
        })
        .catch(error => console.error(error));
    },
    goGame(){
        this.$router.push({path: '/'})
        this.$router.forward()
    }
  },
  data() {
    return {
      players: [],
      player: { nickname: "", score: "", time: "" }
    };
  },
  created() {
    console.log("List Score");
    this.loadScore();
  }
};
</script>

<style scoped>
/* #score {
  width: 10%;
  margin: auto;
} */
.container{
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}
.score {
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

.score td, .score th {
    border: 1px solid #ddd;
    padding: 8px;
}

.score tr:nth-child(even){background-color: #f2f2f2;}

.score tr:hover {background-color: #ddd;}

.score th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #4CAF50;
    color: white;
}
</style>
